Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Publish/Core/Repository/SiteAccessAware/Language/LanguageResolver.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Repository\SiteAccessAware\Language;
8
12 final class LanguageResolver extends AbstractLanguageResolver
13 {
19 private $configLanguages;
20
21 public function __construct(
22 array $configLanguages,
23 bool $defaultUseAlwaysAvailable = true,
24 bool $defaultShowAllTranslations = false
25 ) {
26 $this->configLanguages = $configLanguages;
27 parent::__construct($defaultUseAlwaysAvailable, $defaultShowAllTranslations);
28 }
29
30 protected function getConfiguredLanguages(): array
31 {
32 return $this->configLanguages;
33 }
34 }
eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver
Common abstract implementation of Language resolver.
Definition: AbstractLanguageResolver.php:20
eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver\$defaultShowAllTranslations
$defaultShowAllTranslations
Definition: AbstractLanguageResolver.php:25
eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver\$defaultUseAlwaysAvailable
$defaultUseAlwaysAvailable
Definition: AbstractLanguageResolver.php:22
eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver
Resolves language settings for use in SiteAccess aware Repository.
Definition: Publish/Core/Repository/SiteAccessAware/Language/LanguageResolver.php:13
eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver\__construct
__construct(array $configLanguages, bool $defaultUseAlwaysAvailable=true, bool $defaultShowAllTranslations=false)
Definition: Publish/Core/Repository/SiteAccessAware/Language/LanguageResolver.php:21
eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver\getConfiguredLanguages
getConfiguredLanguages()
Get list of languages configured via dedicated layer.
Definition: Publish/Core/Repository/SiteAccessAware/Language/LanguageResolver.php:30
eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver\$configLanguages
$configLanguages
Definition: Publish/Core/Repository/SiteAccessAware/Language/LanguageResolver.php:19
eZ\Publish\Core\Repository\SiteAccessAware\Language
Definition: AbstractLanguageResolver.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.